> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Version

> Displays the agent data given a version number.



## OpenAPI

````yaml GET /api/v1/agents/{agent_id}/versions/{version_number}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/agents/{agent_id}/versions/{version_number}:
    parameters:
      - in: path
        name: agent_id
        description: The ID of the agent.
        example: 01kntjsyhqzfyhwjrx6496frrh
        required: true
        schema:
          type: string
      - in: path
        name: version_number
        description: Optional parameter. Version number to display.
        required: true
        schema:
          type: integer
        examples:
          omitted:
            summary: When the value is omitted
            value: ''
          present:
            summary: When the value is present
            value: 16
    get:
      tags:
        - Agent Versions
      summary: Show Version
      description: Displays the agent data given a version number.
      operationId: showVersion
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    version: null
                    numbers: []
                    id: 01kqh44em1evnhp5myahqtybfd
                    name: My Agent
                    status: draft
                    llm_config:
                      provider: groq
                      model: llama2-70b-4096
                      knowledge_base_ids: []
                      tools: []
                    prompt_config:
                      prompt: >-
                        You are a helpful assistant for Acme Co. Greet the
                        caller, identify their need, and assist them politely.
                      first_speaker: ai
                      ai_speak_after_silence: false
                      ai_speak_wait_time: 0.7
                      welcome_message_type: dynamic
                      welcome_message: null
                    stt_config:
                      model: nova-3
                      provider: deepgram
                    tts_config:
                      voice_id: nova
                      streaming_latency: 0
                      emotion: null
                      speed_alpha: 1.38
                      provider: rime
                      model: mist
                      ambient_sound_volume: 1
                      responsiveness: 1
                      interruption_sensitivity: 1
                      enable_backchannel: true
                      backchannel_frequency: 0.8
                      reminder_trigger_ms: 10000
                    workspace_id: 01kqh44ekkjta76bmpm5e1qy0z
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                    published_at: null
                properties:
                  data:
                    type: object
                    properties:
                      version:
                        type: string
                        example: null
                        nullable: true
                      numbers:
                        type: array
                        example: []
                      id:
                        type: string
                        example: 01kqh44em1evnhp5myahqtybfd
                      name:
                        type: string
                        example: My Agent
                      status:
                        type: string
                        example: draft
                      llm_config:
                        type: object
                        properties:
                          provider:
                            type: string
                            example: groq
                          model:
                            type: string
                            example: llama2-70b-4096
                          knowledge_base_ids:
                            type: array
                            example: []
                          tools:
                            type: array
                            example: []
                      prompt_config:
                        type: object
                        properties:
                          prompt:
                            type: string
                            example: Example text.
                          first_speaker:
                            type: string
                            example: ai
                          ai_speak_after_silence:
                            type: boolean
                            example: false
                          ai_speak_wait_time:
                            type: number
                            example: 0.7
                          welcome_message_type:
                            type: string
                            example: dynamic
                          welcome_message:
                            type: string
                            example: null
                            nullable: true
                      stt_config:
                        type: object
                        properties:
                          model:
                            type: string
                            example: nova-3
                          provider:
                            type: string
                            example: deepgram
                      tts_config:
                        type: object
                        properties:
                          voice_id:
                            type: string
                            example: nova
                          streaming_latency:
                            type: integer
                            example: 0
                          emotion:
                            type: string
                            example: null
                            nullable: true
                          speed_alpha:
                            type: number
                            example: 1.38
                          provider:
                            type: string
                            example: rime
                          model:
                            type: string
                            example: mist
                          ambient_sound_volume:
                            type: integer
                            example: 1
                          responsiveness:
                            type: integer
                            example: 1
                          interruption_sensitivity:
                            type: integer
                            example: 1
                          enable_backchannel:
                            type: boolean
                            example: true
                          backchannel_frequency:
                            type: number
                            example: 0.8
                          reminder_trigger_ms:
                            type: integer
                            example: 10000
                      workspace_id:
                        type: string
                        example: 01kqh44ekkjta76bmpm5e1qy0z
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      published_at:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````